<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Vertical board v1.6</title>
    <link rel="stylesheet" type="text/css" href="css/verticalboard.css?v1.6">
    <script src="js/verticalboard.js?v1.6" type="text/javascript"></script>
</head>
<body onload="init();">
<!--
    verticalboard
    Copyright (C) 2020  Taco Steemers  tacosteemers.com

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>
-->
<div id="application">
    <div><h1 id="error"></h1></div>
    <span id="space"></span>
    <header id="pageheader">
        <span style="color: red;"><noscript>This tool only works if the browser allows it to use javascript.</noscript></span>
    </header>
    <br/>
    <section id="s1">
        <header>
            <input id="s1Title" type="text" ondrop="drop_disabled_handler(event);" value="Backlog"/>
            <div>
                <button class="left" onclick="addNewEntry('s1TextAreaContainer');">new</button>&nbsp;
                max
                <input id="s1MaxArticles" type="text" ondrop="drop_disabled_handler(event);" onchange="store('s1MaxArticles', this.value);" maxlength="2" size="2" pattern="[0-9]{0,2}"/>
            </div>
        </header>
        <br/>
        <div id="s1TextAreaContainer"
             ondrop="drop_handler(event);" ondragover="dragover_handler(event);"
             ondragenter="dragenter_handler(event);" ondragexit="dragexit_handler(event);"
             ondragleave="dragexit_handler(event);"
             class="droptarget">
        </div>
    </section>
    <section id="s2">
        <header>
            <input id="s2Title" type="text" ondrop="drop_disabled_handler(event);" value="To do"/>
            <div>
                <button onclick="addNewEntry('s2TextAreaContainer');">new</button>&nbsp;
                max
                <input id="s2MaxArticles" type="text" ondrop="drop_disabled_handler(event);" onchange="store('s2MaxArticles', this.value);" maxlength="2" size="2" pattern="[0-9]{0,2}"/>
            </div>
        </header>
        <br/>
        <div id="s2TextAreaContainer"
             ondrop="drop_handler(event);" ondragover="dragover_handler(event);"
             ondragenter="dragenter_handler(event);" ondragexit="dragexit_handler(event);"
             ondragleave="dragexit_handler(event);"
             class="droptarget">
        </div>
    </section>
    <section id="s3">
        <header>
            <input id="s3Title" type="text" ondrop="drop_disabled_handler(event);" value="In progress"/>
            <div>
                <button onclick="addNewEntry('s3TextAreaContainer');">new</button>
                max
                <input id="s3MaxArticles" type="text" ondrop="drop_disabled_handler(event);" onchange="store('s3MaxArticles', this.value);" maxlength="2" size="2" pattern="[0-9]{0,2}"/>
            </div>
        </header>
        <br/>
        <div id="s3TextAreaContainer"
             ondrop="drop_handler(event);" ondragover="dragover_handler(event);"
             ondragenter="dragenter_handler(event);" ondragexit="dragexit_handler(event);"
             ondragleave="dragexit_handler(event);"
             class="droptarget">
        </div>
    </section>
    <section id="s4">
        <header>
            <input id="s4Title" type="text" ondrop="drop_disabled_handler(event);" value="Review"/>
            <div>
                <button onclick="addNewEntry('s4AreaContainer');">new</button>
                max
                <input id="s4MaxArticles" type="text" ondrop="drop_disabled_handler(event);" onchange="store('s4MaxArticles', this.value);" maxlength="2" size="2" pattern="[0-9]{0,2}"/>
            </div>
        </header>
        <br/>
        <div id="s4AreaContainer"
             ondrop="drop_handler(event);" ondragover="dragover_handler(event);"
             ondragenter="dragenter_handler(event);" ondragexit="dragexit_handler(event);"
             ondragleave="dragexit_handler(event);"
             class="droptarget">
        </div>
    </section>
    <section id="s5">
        <header>
            <input id="s5Title" type="text" ondrop="drop_disabled_handler(event);" value="Testing"/>
            <div>
                <button onclick="addNewEntry('s5TextAreaContainer');">new</button>
                max
                <input id="s5MaxArticles" type="text" ondrop="drop_disabled_handler(event);" onchange="store('s5MaxArticles', this.value);" maxlength="2" size="2" pattern="[0-9]{0,2}"/>
            </div>
        </header>
        <br/>
        <div id="s5TextAreaContainer"
             ondrop="drop_handler(event);" ondragover="dragover_handler(event);"
             ondragenter="dragenter_handler(event);" ondragexit="dragexit_handler(event);"
             ondragleave="dragexit_handler(event);"
             class="droptarget">
        </div>
    </section>
    <section id="s6">
        <header>
            <input id="s6Title" type="text" ondrop="drop_disabled_handler(event);" value="Done"/>
            <div>
                <button onclick="addNewEntry('s6TextAreaContainer');">new</button>
                max
                <input id="s6MaxArticles" type="text" ondrop="drop_disabled_handler(event);" onchange="store('s6MaxArticles', this.value);" maxlength="2" size="2" pattern="[0-9]{0,2}"/>
            </div>
        </header>
        <br/>
        <div id="s6TextAreaContainer"
             ondrop="drop_handler(event);" ondragover="dragover_handler(event);"
             ondragenter="dragenter_handler(event);" ondragexit="dragexit_handler(event);"
             ondragleave="dragexit_handler(event);"
             class="droptarget">
        </div>
    </section>
    <section id="trashcan">
        <div id="trashcandropzone"
             ondrop="drop_handler(event);" ondragover="dragover_handler(event);"
             ondragenter="dragenter_handler(event);" ondragexit="dragexit_handler(event);"
             ondragleave="dragexit_handler(event);"
             style="min-width: 100px; min-height: 100px;">
        </div>
        <div id="trashcanmeta">
            <header>Thrash</header>
            <!-- <button onclick="minimizeTrashcan();">Change use of space</button> -->
            <button onclick="maximizeTrashcan();">Change orientation</button>
        </div>
    </section>
    <footer>
        <button onclick="let info = document.getElementById('info'); info.style.display = info.style.display === 'none' ? '' : 'none';">Show or hide explanation</button>
        <button onclick="createBackup();">Export data to file</button>
        <label>Import data from file:<input id="file" type="file" accept=".json"/></label>
        <label id="error_on_load_backup"></label>
        <div id="info">
            <ul>
                <li id="notmobilefriendly">Unfortunately this application is not usable on small screens and mobile devices.
                    Sorry about that!</li>
                <li>The individual elements can be dragged to another column.</li>
                <li>Your data is saved to your browser's local storage once per second. (There is no third-party JS here that could access it.)</li>
                <li>If you clear your browser data the data on this page will be lost.</li>
                <li><a href="https://gitlab.com/taco.steemers/kanbanboard/" target = "_blank" rel="noopener noreferrer">You can download the files from the repository and use it from your own computer</a></li>
                <li>This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the <a href="https://opensource.org/licenses/GPL-3.0" target = "_blank" rel="noopener noreferrer">GNU General Public License</a> for more details.</li>
            </ul>
        </div>
    </footer>
</div>
</body>
</html>